View Issue Details

IDProjectCategoryView StatusLast Update
0032597Open CASCADEOCCT:Codingpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032597: Coding Rules, Wasm_Window - add missing setter for DevicePixelRatio property
DescriptionWasm_Window provides no way to change myDevicePixelRatio when IsVirtual() flag is set.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032433 closedbugmaster Visualization, TKService - introduce Wasm_Window implementing Aspect_Window interface using Emscripten SDK 

Activities

git

2021-09-29 16:48

administrator   ~0104430

Branch CR32597 has been created by kgv.

SHA-1: c81eddb9542553a4a6a3333e7bf153b77e5948e4


Detailed log of new commits:

Author: kgv
Date: Wed Sep 29 16:47:56 2021 +0300

    0032597: Coding Rules, Wasm_Window - add missing setter for DevicePixelRatio property

kgv

2021-09-29 17:07

developer   ~0104431

Please raise the patch
- OCCT: branch CR32597.

smoskvin

2021-10-02 10:34

administrator   ~0104480

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105881

Branch CR32597 has been deleted by kgv.

SHA-1: c81eddb9542553a4a6a3333e7bf153b77e5948e4

Related Changesets

occt: master ff60d283

2021-09-29 13:47:56

kgv


Committer: smoskvin Details Diff
0032597: Coding Rules, Wasm_Window - add missing setter for DevicePixelRatio property Affected Issues
0032597
mod - src/Wasm/Wasm_Window.hxx Diff File

Issue History

Date Modified Username Field Change
2021-09-29 16:45 kgv New Issue
2021-09-29 16:45 kgv Assigned To => kgv
2021-09-29 16:48 git Note Added: 0104430
2021-09-29 16:50 kgv Relationship added child of 0032433
2021-09-29 17:07 kgv Note Added: 0104431
2021-09-29 17:07 kgv Assigned To kgv => bugmaster
2021-09-29 17:07 kgv Severity minor => trivial
2021-09-29 17:07 kgv Status new => resolved
2021-09-29 17:07 kgv Status resolved => reviewed
2021-10-02 10:34 smoskvin Note Added: 0104480
2021-10-02 10:34 smoskvin Status reviewed => tested
2021-10-02 10:39 smoskvin Test case number => Not required
2021-10-02 11:32 smoskvin Changeset attached => occt master ff60d283
2021-10-02 11:32 smoskvin Assigned To bugmaster => smoskvin
2021-10-02 11:32 smoskvin Status tested => verified
2021-10-02 11:32 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105881